/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* camel-ogo-store.h : class for an ogo store */

/* 
 * Authors:
 *   Dan Winship <danw@ximian.com>
 *   Michael Zucchi <notzed@ximian.com>
 *
 * Copyright (C) 2000-2002 Ximian, Inc. (www.ximian.com)
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of version 2 of the GNU General Public 
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */


#ifndef CAMEL_OGO_STORE_H
#define CAMEL_OGO_STORE_H 1


#ifdef __cplusplus
extern "C" {
#pragma }
#endif /* __cplusplus }*/

#include <camel/camel-types.h>
#include <camel/camel-store.h>

#define CAMEL_OGO_STORE_TYPE     (camel_ogo_store_get_type ())
#define CAMEL_OGO_STORE(obj)     (CAMEL_CHECK_CAST((obj), CAMEL_OGO_STORE_TYPE, CamelOGoStore))
#define CAMEL_OGO_STORE_CLASS(k) (CAMEL_CHECK_CLASS_CAST ((k), CAMEL_OGO_STORE_TYPE, CamelOGoStoreClass))
#define CAMEL_IS_OGO_STORE(o)    (CAMEL_CHECK_TYPE((o), CAMEL_OGO_STORE_TYPE))


typedef struct {
	CamelStore parent_object;
} CamelOGoStore;



typedef struct {
	CamelStoreClass parent_class;

} CamelOGoStoreClass;



/* Standard Camel function */
CamelType camel_ogo_store_get_type (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* CAMEL_OGO_STORE_H */


